﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Min Requirements /LFCTR
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
DATE:                  2016-11-21 10:59:22
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       14
NUMBER OF LINES:       361
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /LFCTR
  1.005  JMPL         MINIMUM_REQUIREMENTS         PSUBI("Min Requirements")

  1.006  IF           ISVAR("@Chan")
  1.007  HEAD         -2 CHANNEL [V @Chan]
  1.008  MATH         @DUT_Setup = "SETUPCH " & @Chan & ";"
  1.009  ELSE
  1.010  MATH         @DUT_Setup = ""
  1.011  ENDIF

  1.012  MATH         @LFCTR_Ch1Cpl   = "DC"
  1.013  MATH         @LFCTR_Ch1Imp   = "LoZ";
  1.014  MATH         @LFCTR_MeasTime = "3s"

  1.015  JMPL         FREQUENCY_SYNTHESIS          PSUBI("Synthesis")
  1.016  MATH         FreqRef        = INI("startup", "FreqRefDevName")
  1.017  MATH         FreqRefAccMode = INI("startup", "FreqRefAccMode")

  1.018  IF           ZCMP(FreqRef, @LFCTR_DevName)
  1.019  MATH         @LFCTR_ROSC = "Int"
  1.020  ELSE
  1.021  MATH         @LFCTR_ROSC = "Ext"
  1.022  ENDIF

  1.023  JMPL         SINE_FREQUENCY               PSUBI("SI Frequency")
  1.024  JMPL         SQUARE_FREQUENCY             PSUBI("SQ Frequency")
  1.025  JMPL         RISE/FALL                    PSUBI("Rise/Fall")
  1.026  DISP         Called {Subprocedure Not Found}!
  1.027  END

  1.028  EVAL   Increment Test Number

# =====  Sub Fluke 281/282/284 Minium Use Requirements /LFCTR  ==============

  2.001  LABEL        MINIMUM_REQUIREMENTS
  2.002  HEAD         FLEXIBLE STANDARDS
  2.003  MATH         LF = @LFCTR_Ch1
  2.004  DISP         The minimum use specifications of the following devices,
  2.004  DISP         configured as flexible standards, must be satisfied.
  2.004  DISP
  2.004  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  2.004  DISP
  2.004  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]

  2.005  HEAD         -2 LFCTR: [V @LFCTR_DevName]
  2.006  OPBR         -z LFCTR: [V @LFCTR_DevName]
  2.006  OPBR
  2.006  OPBR         Minimum Use Specifications:
  2.006  OPBR         [32] Frequency, [V LF]:
  2.006  OPBR         [32]   Range: 100 Hz to 16 MHz
  2.006  OPBR         [32]   Accuracy: ±2.5 ppm or better
  2.006  OPBR
  2.006  OPBR         [32] Rise/Fall Time:
  2.006  OPBR         [32]   Range: 10 ns to 50 ns
  2.006  OPBR
  2.006  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  2.006  OPBR         Use Specifications?
  2.007  MATH         @Abort = NOT(MEM1)
  2.008  HEAD         -2

  2.009  IF           @Abort
  2.010  DISP         Currently configured LFCTR (LF Counter):
  2.010  DISP
  2.010  DISP         [32][V @LFCTR_DevName]
  2.010  DISP
  2.010  DISP         does not satisfy procedure Minimum Use Specifications.
  2.011  DISP
  2.011  DISP         Select "Advance" to abort procedure.
  2.011  DISP
  2.011  DISP         Configure a counter that meets the minimum use
  2.011  DISP         requirements.
  2.012  END
  2.013  ENDIF

  2.014  MATH         @ReqFreqRefAcc_ppm = 2.5
  2.015  CALL         Sub Check Frequency Reference Accuracy

  2.016  END

  2.017  EVAL   Increment Test Number

# =====  Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR  ==============

  3.001  LABEL        SINE_FREQUENCY
  3.002  HEAD         SINE WAVE FREQUENCY ACCURACY
  3.003  MATH         @LFCTR_Func    = "FreqCh1"; @LFCTR_Ch1Attn = "x1"
  3.004  MATH         @DUT_Setup     = @DUT_Setup & "ZLOAD 50;WAVE SINE;"
  3.005  TARGET       -p
  3.006  CALL         Sub Reset /LFCTR
  3.007  CALL         Sub Setup /LFCTR
  3.008  MATH         @Cmd = "*RST"
  3.009  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  3.010  JMPL         END                          @Abort

# Note REF CLOCK INPUT connection is only used during linerity.
# Hookup is performed here to minimize operator intervention.
  3.011  IF           NOT(ISVAR("@Chan"))
  3.012  DISP         Make the following connections:
  3.012  DISP
  3.012  DISP         [32]    DUT       to    [V @LFCTR_DevName]
  3.012  DISP         [32]  MAIN OUT -------> [V @LFCTR_Ch1]
  3.012  DISP
  3.012  DISP         NOTE: Do NOT terminate with 50 ohm load.
  3.013  ELSEIF       @Chan == 1
  3.014  DISP         Make the following connections:
  3.014  DISP
  3.014  DISP         [32]    DUT       to    [V @LFCTR_DevName]
  3.014  DISP         [32]  CHANNEL 1
  3.014  DISP         [32]  MAIN OUT -------> [V @LFCTR_Ch1]
  3.014  DISP
  3.014  DISP         NOTE: Do NOT terminate with 50 ohm load.
  3.015  ELSE
  3.016  DISP         Move the DUT connection to CHANNEL [V @Chan] MAIN OUT.
  3.017  ENDIF

  3.018  IF           ZCMP(@LFCTR_ROSC, "Ext")

  3.019  IF           NOT(ISVAR("@Chan"))
  3.020  DISP         Connect the [V FreqRef] 10 MHz OUT to the
  3.020  DISP         [V @LFCTR_DevName] [V @LFCTR_RefIn].
  3.021  ELSEIF       @Chan == 1
  3.022  DISP         Connect the [V FreqRef] 10 MHz OUT to the
  3.022  DISP         [V @LFCTR_DevName] [V @LFCTR_RefIn].
  3.023  ENDIF

  3.024  ENDIF

  3.025  DISP         The next routine operator intervention occurs in
  3.025  DISP         approximately 2½ minutes.

  3.026  HEAD         -2 Output Frequency: 100 Hz
  3.027  TSET         TDESC = 100 Hz
  3.028  MATH         @Cmd = @DUT_Setup & "WAVFREQ 100;OUTPUT ON"
  3.029  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  3.030  JMPL         END                          @Abort
  3.031  TARGET       -m
  3.032  CALL         Sub Read /LFCTR
  3.033  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM)
  3.034  ACC          Hz             L1U
  3.035  MEMC         100.000Hz      10P%

  4.001  HEAD         -2 Output Frequency: 10 MHz
  4.002  TSET         TDESC = 10 MHz
  4.003  MATH         @Cmd = "WAVFREQ 10E+6;OUTPUT ON"
  4.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  4.005  JMPL         END                          @Abort
  4.006  TARGET       -m
  4.007  CALL         Sub Read /LFCTR
  4.008  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM) / 1E+6
  4.009  MATH         MEM = MEM / 1E+6
  4.010  ACC          MHz            L1U
  4.011  MEMC         10.0000MHz     10P%

  5.001  HEAD         -2 Output Frequency: 16 MHz
  5.002  TSET         TDESC = 16 MHz
  5.003  MATH         @Cmd = "WAVFREQ 16E+6;OUTPUT ON"
  5.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  5.005  JMPL         END                          @Abort
  5.006  TARGET       -m
  5.007  CALL         Sub Read /LFCTR
  5.008  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM) / 1E+6
  5.009  MATH         MEM = MEM / 1E+6
  5.010  ACC          MHz            L1U
  5.011  MEMC         16.0000MHz     10P%

  6.001  HEAD         -2
  6.002  JMPL         END

  6.003  EVAL   Increment Test Number

# =====  Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR  ==============

  7.001  LABEL        SQUARE_FREQUENCY
  7.002  HEAD         SQUARE WAVE FREQUENCY ACCURACY
  7.003  MATH         @LFCTR_Func = "FreqCh1"; @LFCTR_Ch1Attn = "x1"
  7.004  MATH         @DUT_Setup = @DUT_Setup & "ZLOAD 50;WAVE SQUARE;"
  7.005  MATH         @DUT_Setup = @DUT_Setup & "AMPUNIT VPP;AMPL 2;"
  7.006  HEAD         -2 Output Frequency: 100 Hz
  7.007  TARGET       -p
  7.008  TSET         TDESC = 100 Hz
  7.009  CALL         Sub Reset /LFCTR
  7.010  CALL         Sub Setup /LFCTR
  7.011  MATH         @Cmd = "*RST"
  7.012  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  7.013  JMPL         END                          @Abort
  7.014  MATH         @Cmd = @DUT_Setup & "WAVFREQ 100;OUTPUT ON"
  7.015  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  7.016  JMPL         END                          @Abort
  7.017  TARGET       -m
  7.018  CALL         Sub Read /LFCTR
  7.019  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM)
  7.020  ACC          Hz             L1U
  7.021  MEMC         100.0Hz        0.1U

  8.001  HEAD         -2 Output Frequency: 10 MHz
  8.002  TSET         TDESC = 10 MHz
  8.003  MATH         @Cmd = "WAVFREQ 10E+6;OUTPUT ON"
  8.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  8.005  JMPL         END                          @Abort
  8.006  TARGET       -m
  8.007  CALL         Sub Read /LFCTR
  8.008  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM) / 1E+6
  8.009  MATH         MEM = MEM / 1E+6
  8.010  ACC          MHz            L1U
  8.011  MEMC         10.00MHz       0.01U

  9.001  HEAD         -2 Output Frequency: 16 MHz
  9.002  TSET         TDESC = 16 MHz
  9.003  MATH         @Cmd = "WAVFREQ 16E+6;OUTPUT ON"
  9.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  9.005  JMPL         END                          @Abort
  9.006  TARGET       -m
  9.007  CALL         Sub Read /LFCTR
  9.008  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM) / 1E+6
  9.009  MATH         MEM = MEM / 1E+6
  9.010  ACC          MHz            L1U
  9.011  MEMC         16.00MHz       0.01U

 10.001  HEAD         -2
 10.002  JMPL         END

 10.003  EVAL   Increment Test Number

# =====  Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR  ============

 11.001  LABEL        FREQUENCY_SYNTHESIS
 11.002  HEAD         FREQUENCY SYNTHESIS (Sine Wave)
 11.003  MATH         @LFCTR_Func = "FreqCh1"; @LFCTR_Ch1Attn = "x1"
 11.004  MATH         @LFCTR_ROSC = "Ext"; @LFCTR_Ch1Lpf = "On"
 11.005  MATH         @DUT_Setup = @DUT_Setup & "ZLOAD 50;WAVE SINE;"
 11.006  MATH         @DUT_Setup = @DUT_Setup & "AMPUNIT VPP;AMPL 4;"
 11.007  MATH         @DUT_Setup = @DUT_Setup & "REFCLK OUT;"
 11.008  VSET         UUT_RES = 1E-3
 11.009  MATH         @First = 1

 11.010  MATH         @Freq = "1.111111 kHz"
 11.011  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.012  JMPL         END                          @Abort
 11.013  MATH         @Freq = "2.222222 kHz"
 11.014  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.015  JMPL         END                          @Abort
 11.016  MATH         @Freq = "3.333333 kHz"
 11.017  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.018  JMPL         END                          @Abort
 11.019  MATH         @Freq = "4.444444 kHz"
 11.020  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.021  JMPL         END                          @Abort
 11.022  MATH         @Freq = "5.555555 kHz"
 11.023  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.024  JMPL         END                          @Abort
 11.025  MATH         @Freq = "6.666666 kHz"
 11.026  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.027  JMPL         END                          @Abort
 11.028  MATH         @Freq = "7.777777 kHz"
 11.029  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.030  JMPL         END                          @Abort
 11.031  MATH         @Freq = "8.888888 kHz"
 11.032  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.033  JMPL         END                          @Abort
 11.034  MATH         @Freq = "9.999999 kHz"
 11.035  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
 11.036  VSET         UUT_RES = *
 11.037  JMPL         END

 11.038  EVAL   Increment Test Number

# ====== Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR ============

 12.001  LABEL        RISE/FALL
 12.002  HEAD         SQUARE WAVE RISE/FALL
 12.003  MATH         @LFCTR_Func = "RiseTimeCh1"; @LFCTR_Ch1Attn = "x10"
 12.004  MATH         @DUT_Setup = @DUT_Setup & "ZLOAD 50;WAVE SQUARE;"
 12.005  MATH         @DUT_Setup = @DUT_Setup & "AMPUNIT VPP;AMPL 6;"
 12.006  MATH         @DUT_Setup = @DUT_Setup & "WAVFREQ 1E+6;"
 12.007  MATH         @DUT_Setup = @DUT_Setup & "OUTPUT ON"
 12.008  TARGET       -p
 12.009  CALL         Sub Reset /LFCTR
 12.010  MATH         @Cmd = "*RST"
 12.011  CALL         Sub TTi Function Generator Send Command, Wait for OPC
 12.012  JMPL         END                          @Abort
 12.013  CALL         Sub Setup /LFCTR
 12.014  HEAD         -2 Rise Time
 12.015  MATH         @Cmd = @DUT_Setup
 12.016  CALL         Sub TTi Function Generator Send Command, Wait for OPC
 12.017  JMPL         END                          @Abort
 12.018  TARGET       -m
 12.019  CALL         Sub Read /LFCTR
 12.020  MATH         MEM = MEM / 1E-9
 12.021  EVAL   -e (MEM < 25) : Rise Time: [MEM] ns

 13.001  HEAD         -2 Fall Time
 13.002  MATH         @LFCTR_Func = "FallTimeCh1"
 13.003  TARGET       -p
 13.004  CALL         Sub Setup /LFCTR
 13.005  CALL         Sub TTi Function Generator Send Command, Wait for OPC
 13.006  JMPL         END                          @Abort
 13.007  TARGET       -m
 13.008  CALL         Sub Read /LFCTR
 13.009  MATH         MEM = MEM / 1E-9
 13.010  EVAL   -e (MEM < 25) : Fall Time: [MEM] ns

 14.001  LABEL        END
 14.002  HEAD         -2
 14.003  HEAD
 14.004  MATH         @Cmd = "*RST"
 14.005  CALL         Sub TTi Function Generator Send Command, Wait for OPC
 14.006  CALL         Sub Reset /LFCTR
 14.007  END
