﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Freq Synthesis Test /LFCTR
DATE:                  2016-11-21 10:59:44
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       117
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  JMPL         START

  1.005  TARGET       -p
  1.006  MATH         @First = 1

  1.007  LABEL        START

  1.008  IF           @First
  1.009  MATH         @Cmd = "*RST"
  1.010  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  1.011  CALL         Sub Reset /LFCTR
  1.012  CALL         Sub Setup /LFCTR

  1.013  IF           NOT(ISVAR("@Chan"))
  1.014  DISP         Make the following connections:
  1.014  DISP
  1.014  DISP         [32]   DUT (on rear)       to     [V @LFCTR_DevName]
  1.014  DISP         [32]  REF CLOCK IN/OUT  --------> [V @LFCTR_RefIn]
  1.014  DISP
  1.014  DISP         NOTE: The DUT output connection remains unchanged.
  1.015  ELSEIF       @Chan == 1
  1.016  DISP         Make the following connections:
  1.016  DISP
  1.016  DISP         [32]    DUT       to    [V @LFCTR_DevName]
  1.016  DISP         [32]  CHANNEL 1
  1.016  DISP         [32]  MAIN OUT -------> [V @LFCTR_Ch1]
  1.016  DISP
  1.016  DISP         NOTE: Do NOT terminate with 50 ohm load.
  1.016  DISP
  1.016  DISP         [32]   DUT (on rear)       to     [V @LFCTR_DevName]
  1.016  DISP         [32]  REF CLOCK IN/OUT  --------> [V @LFCTR_RefIn]
  1.017  ELSE
  1.018  DISP         Move the DUT connection to CHANNEL [V @Chan] MAIN OUT.
  1.019  ENDIF

  1.020  IF           @Abort
  1.021  END
  1.022  ENDIF

  1.023  MATH         @First = 0
  1.024  ENDIF

  1.025  HEAD         -2 Output Frequency: [V @Freq]
  1.026  TSET         TDESC = [V @Freq]; CPT = [V @Freq]; MEAS = SA
  1.027  MATH         L[2] = BASE(@Freq)

# Only perform a full DUT setup for the first frequency.
  1.028  IF           L[2] < 2E+3
  1.029  MATH         @Cmd = @DUT_Setup & "WAVFREQ " & L[2] & ";OUTPUT ON"
  1.030  ELSE
  1.031  MATH         @Cmd = "WAVFREQ " & L[2] & ";OUTPUT ON"
  1.032  ENDIF

  1.033  CALL         Sub TTi Function Generator Send Command, Wait for OPC

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

  1.037  TARGET       -m
  1.038  CALL         Sub Read /LFCTR
  1.039  MATH         MEM = MEM / 1E+3
# Assume LFCTR resolution is at least one more digit than DUT.
  1.040  ACC          kHz            0.0000001U
  1.041  MATH         MEM1 = @Freq
  1.042  MEMC         kHz            0.000002U

  2.001  END
